| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PtrSetter< ActualType > Class Template Reference

`#include <IUpdateManagerSvc.h>`

Inheritance diagram for PtrSetter< ActualType >:

[legend]
Collaboration diagram for PtrSetter< ActualType >:

[legend]
List of all members.

## Detailed Description

### template<class ActualType>
class PtrSetter< ActualType >

Templated specialization of BasePtrSetter.

Author:
  Marco CLEMENCIC

Date:
  2005-12-14

Definition at line 147 of file IUpdateManagerSvc.h.

## Public Types
typedef ActualType | dest_type
## Public Member Functions
| PtrSetter (dest_type *&dest)
| Construct a new object using the destination pointer.
virtual | ~PtrSetter ()
| Empty virtual destructor.
virtual void | set (DataObject *obj)
| sets the internal pointer to the provided data object (with a dynamic_cast).
virtual bool | isNull ()
| tells if the internal pointer is NULL.
## Private Attributes
dest_type ** | m_storage
| pointer to the pointer to fill provided by the user.

## Member Typedef Documentation

template<class ActualType>

typedef ActualType PtrSetter< ActualType >::dest_type

Definition at line 149 of file IUpdateManagerSvc.h.

## Constructor & Destructor Documentation

template<class ActualType>

PtrSetter< ActualType >::PtrSetter | ( | dest_type *& | dest | ) | `[inline]`

Construct a new object using the destination pointer.

Definition at line 152 of file IUpdateManagerSvc.h.

References PtrSetter< ActualType >::m_storage.

    00152                              :m_storage(&dest) {
    00153     *m_storage = NULL;
    00154   }

template<class ActualType>

virtual PtrSetter< ActualType >::~PtrSetter | ( |  | ) | `[inline, virtual]`

Empty virtual destructor.

Definition at line 157 of file IUpdateManagerSvc.h.

    00157 {}

## Member Function Documentation

template<class ActualType>

virtual void PtrSetter< ActualType >::set | ( | DataObject * | obj | ) | `[inline, virtual]`

sets the internal pointer to the provided data object (with a dynamic_cast).

Implements BasePtrSetter.

Definition at line 159 of file IUpdateManagerSvc.h.

References PtrSetter< ActualType >::m_storage.

    00159                                     {
    00160     *m_storage = dynamic_cast<dest_type *>(obj);
    00161   }

template<class ActualType>

virtual bool PtrSetter< ActualType >::isNull | ( |  | ) | `[inline, virtual]`

tells if the internal pointer is NULL.

Implements BasePtrSetter.

Definition at line 163 of file IUpdateManagerSvc.h.

References PtrSetter< ActualType >::m_storage.

    00163 { return *m_storage == NULL; }

## Member Data Documentation

template<class ActualType>

dest_type** PtrSetter< ActualType >::m_storage`[private]`

pointer to the pointer to fill provided by the user.

Definition at line 167 of file IUpdateManagerSvc.h.

Referenced by PtrSetter< ActualType >::isNull(), PtrSetter< ActualType >::PtrSetter(), and PtrSetter< ActualType >::set().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IUpdateManagerSvc.h